### File

`packages/core/src/lib/services/storage/storage.service.ts`

### Description

Generic storage service. Concrete storage services must extend this class

### Index

###### Methods

- Abstract get
- Abstract get
- Abstract name
- Abstract remove
- Abstract set
- Abstract set

### Methods

Abstract get
`get(key: string)`

retrieve an object from storage

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key

Returns : `any`

the value or undefined, if case of error

Abstract get
`get(key: string)`

Type parameters :

- T

Parameters :

Name | Type | Optional
key | `string` | No

Returns : `T`

Abstract name
`name()`
utility function, to determine the storage implementation Returns : `string`

Abstract remove
`remove(key: string)`

removes an object from storage

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key

Returns : `void`

Abstract set
`set(key: string, value: any)`

sets an object in storage

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set

Returns : `void`

Abstract set
`set(key: string, value: T)`

Type parameters :

- T

Parameters :

Name | Type | Optional
key | `string` | No
value | `T` | No

Returns : `void`

# results matching ""

# No results matching ""